DISPDATA_GET_OBJECTLIST(3)

EXPERIMENTAL_FUNC
dispdata_get_objectlist - Get the list of (sorted) data objects for a dataclass.

SYNOPSIS
#include <karma_dispdata.h>

CONST KDisplayDataObject * dispdata_get_objectlist

(KDisplayDataClass dataclass, unsigned int *num_entries)

DESCRIPTION
Get the list of (sorted) data objects for a dataclass.

dataclass
    The KDisplayDataClass object.

num_entries
    The number of entries in the list is written here.

RETURN VALUE
The array of data objects.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/